Bug 236468 - Missing dependency : gnome-python2-canvas
Missing dependency : gnome-python2-canvas
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: quodlibet (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-14 14:17 EDT by Łukasz Lis
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 10:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Łukasz Lis 2007-04-14 14:17:15 EDT
Description of problem:
Package lacks a dependancy to a python module required by the player.

Version-Release number of selected component (if applicable):
0.24-6.fc6

How reproducible:
Always (tested on x86_64)

Steps to Reproduce (in console):
1. yum remove gnome-python2-canvas
2. yum install quodlibet.x86_64
3. quodlibet
  
Actual results:
$ quodlibet
Supported formats: mp3, wav, xiph
Loaded song library.
Opening audio device.
ImportError: could not import gnomecanvas
ImportError: cannot import name DockItem from bonobo.ui
Traceback (most recent call last):
  File "/usr/bin/quodlibet", line 301, in ?
    main()
  File "/usr/bin/quodlibet", line 45, in main
    window = widgets.init(player, library)
  File "/usr/share/quodlibet/widgets.py", line 53, in init
    qltk.session.init()
  File "/usr/share/quodlibet/qltk/session.py", line 22, in init
    client.set_restart_style(gnome.ui.RESTART_IF_RUNNING)
AttributeError: '__main__.GnomeClient' object has no attribute 'set_restart_style'

Additional Information:
I ran into this bug when I was searching for a replacement for Rhythmbox after
switching to XFCE. 
I removed all packages in the Gnome package group, installed XFCE 4.4 and
started installing the rest of the usual apps.
Comment 1 Łukasz Lis 2007-04-14 14:20:12 EDT
I have to start using a spell checker. :(
Comment 2 Jeffrey C. Ollie 2007-04-16 10:05:00 EDT
Should be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.